Bug 250210 - Review Request: gimp-resynthesizer - Gimp plugin for texture synthesis
Review Request: gimp-resynthesizer - Gimp plugin for texture synthesis
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-30 21:54 EDT by Ewan Mac Mahon
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 06:20:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ewan Mac Mahon 2007-07-30 21:54:13 EDT
Spec URL: http://www.macmahon.me.uk/linux/fedora/SPECS/gimp-resynthesizer.spec
SRPM URL: http://www.macmahon.me.uk/linux/fedora/SRPMS/gimp-resynthesizer-0.15-1.fc7.src.rpm
Description: 
Resynthesizer is a Gimp plug-in for texture synthesis. Given a sample of a texture, it can create more of that texture. This has uses including:
- Creating more of a texture (including creation of tileable textures)
- Removing objects from images (by extending the surrounding texture)
- Creating themed images (by transferring a texture from one image to another)

The original home page is at: http://logarithmic.net/pfh/resynthesizer

This is my first Fedora package, so I'm looking for a sponsor.
Comment 1 Xavier Lamien 2007-08-18 17:41:27 EDT
Well,

# Top comment is unnecessary, summary tag is enough.

# license tag need to be fix, as the license policy has been changed, you need
to set explicitly the version of the licensed package now.
So, set it to GPLv2 as your package is.

# Yous should use the recommanded default buildroot which is:
  BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# RPM variable style VS RPM macros style:
You should use one of them, not mixe them in spec.
Also there are duplicate command is the spec, should be fix.

# Package doesn't honor RPM_OPT_FLAGS

# Failed to build on mock F-devel
-------------------------------------------------------------------------------
[...]
g++ `gimptool --cflags` -O3 -Wall -fno-common -ffast-math -frename-registers
-fomit-frame-pointer -o resynth resynth.cc `gimptool --libs` -lm
resynth.cc:83: error: template with C linkage
resynth.cc:979: error: expected `}' at end of input
make: *** [resynth] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.33961 (%build)
-------------------------------------------------------------------------------

Comment 2 Ewan Mac Mahon 2007-08-19 18:03:49 EDT
Hi,
Thanks for the comments; taking them in order:
- The pointless comment's gone,
- License field set to GPLv2+ (the COPYING file is indeed GPLv2, but the 
header on the actual code specifies the 'or any later version' text),
- According to: 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-76294f12c6b481792eb001ba9763d95e2792e825 
the mktemp based build root I've used is now the most preferred option - I'm 
happy to change it if I'm misinterpreting the guidelines,
- RPM variable/macro style; that was a leftover from testing something, not 
sure how it got left in. It's all macro style now, that also removes the 
duplicate.
- CFLAGS are now set to %{optflags}, this overrides the defaults in the 
Makefile,
- I can't reliably reproduce the build errors; I've had different errors (and 
some successful builds) at different times today with identical input SRPMS, 
including most recently:

>  Error: Missing Dependency: zlib = 1.2.3-13.fc8 is needed by package 
zlib-devel
>  Error performing yum command: /usr/sbin/mock-helper 
yum --installroot /var/lib/mock/fedora-development-x86_64/root 
install  'gimp-devel' 'gimp'

So it looks like there may be some churn occurring in the dependencies at the 
moment. It does build cleanly for F7, and has just built for -devel.

Revised packages (built with mock for fedora-devel) containing the fixes so 
far are here:
SPEC (same url): 
http://www.macmahon.me.uk/linux/fedora/SPECS/gimp-resynthesizer.spec
SRPM: 
http://www.macmahon.me.uk/linux/fedora/SRPMS/gimp-resynthesizer-0.15-2.fc8.src.rpm
Comment 3 Xavier Lamien 2007-08-20 13:07:33 EDT
okay,
All issues above has been fixed.
However,
Mock still failed at the same point (On F-devel_i386), not tested on x86_64
Just tested on F-7_i386 and built successfully.

can you make a try on mock F-devel_i386


# Also removing FE-NEEDSPONSOR (i'll sponsor you)
Comment 4 Xavier Lamien 2007-08-23 05:39:53 EDT
ping !
Comment 5 Ewan Mac Mahon 2007-08-23 18:44:36 EDT
Pong :-) Sorry - I've not disappeared, just been a bit short of time.

The current state of play is that the package builds cleanly on F-7-i386 and 
F-7-x86_64, but fails (reliably now; I'm guessing all the mirrors have caught 
up with whatever change is tripping the problem) on F-devel-i386 and 
F-devel-x86_64. So far I don't know why, but I'm digging into it.

More news as I have it...
Comment 6 Nils Philippsen 2007-08-27 04:45:39 EDT
(In reply to comment #5)
> Pong :-) Sorry - I've not disappeared, just been a bit short of time.
> 
> The current state of play is that the package builds cleanly on F-7-i386 and 
> F-7-x86_64, but fails (reliably now; I'm guessing all the mirrors have caught 
> up with whatever change is tripping the problem) on F-devel-i386 and 
> F-devel-x86_64. So far I don't know why, but I'm digging into it.

This may be connected to Rawhide having the gimp 2.4.0 release candidate and not
2.2.x.

One thing though (and sorry for chiming in so late, I've been on vacation): I'd
like the package name changed to e.g. "gimp-plugin-resynthesizer" to reflect
that it's a plugin and not e.g. a brush, pattern or theme. This hasn't been
discussed anywhere else yet and yours is the first package of a gimp plugin in
Fedora proper, but this seems to be a sensible thing to do for me.

Comment 7 Ewan Mac Mahon 2007-09-02 18:38:30 EDT
OK; some signs of progress, but not quite a solution (yet):
- The name change is clearly your call, but is there any reason to single out 
plugins as a special case of add on, or would you want to have a full set of 
e.g:
gimp-plugin-XXXX
gimp-brush-XXXX
gimp-pattern-XXXX
I'm not sure there's a way to keep it consistent without having a 
proliferation of special cases in the naming guidelines.

- The build failure: it does indeed appear to be a 2.4 change, and while I 
haven't 100% confirmed, it looks to be the same as this Debian bug 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=439469 so it looks like it 
might be a problem in Gimp itself. I'm going to test the Debian patch and
if I then get a successful build of resynthesizer I'll file the appropriate 
bug on the Gimp.
Comment 8 Nils Philippsen 2007-09-03 05:45:23 EDT
(In reply to comment #7)
> OK; some signs of progress, but not quite a solution (yet):
> - The name change is clearly your call, but is there any reason to single out 
> plugins as a special case of add on, or would you want to have a full set of 
> e.g:
> gimp-plugin-XXXX
> gimp-brush-XXXX
> gimp-pattern-XXXX
> I'm not sure there's a way to keep it consistent without having a 
> proliferation of special cases in the naming guidelines.

I'd like to have that. As yours is the first package extending gimp in the
repository, your sort of the guinea pig for it ;-). Shall we discuss this on
fedora-devel-list?

> - The build failure: it does indeed appear to be a 2.4 change, and while I 
> haven't 100% confirmed, it looks to be the same as this Debian bug 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=439469 so it looks like it 
> might be a problem in Gimp itself. I'm going to test the Debian patch and
> if I then get a successful build of resynthesizer I'll file the appropriate 
> bug on the Gimp.

Gimp should have a second RC shortly, we should try with that once it arrives.
If it takes too long, I'll shove in a post RC1 SVN snapshot.
Comment 9 Mamoru TASAKA 2007-09-04 11:10:30 EDT
(In reply to comment #8)

> Gimp should have a second RC shortly, we should try with that once it arrives.
> If it takes too long, I'll shove in a post RC1 SVN snapshot.

Gimp 2.4.0 rc2 (gimp-2.4.0-0.rc2.1.fc8) seems good to this package.

http://koji.fedoraproject.org/koji/taskinfo?taskID=147134
Comment 10 Xavier Lamien 2007-09-05 03:49:33 EDT
ok, its built successfully on devel_%{arch} now

(In reply to comment #7)
> OK; some signs of progress, but not quite a solution (yet):
> - The name change is clearly your call, but is there any reason to single out 
> plugins as a special case of add on, or would you want to have a full set of 
> e.g:
> gimp-plugin-XXXX
> gimp-brush-XXXX
> gimp-pattern-XXXX

gimp-plugin-XXXX should be more apropirate.

> I'm not sure there's a way to keep it consistent without having a 
> proliferation of special cases in the naming guidelines.

i'm not really sure that there's something to be worried about that.
Comment 11 Ewan Mac Mahon 2007-09-05 22:19:40 EDT
So; I've had a look at the rc2 source and it does indeed contain the relevent 
fix, and resynthesizer does build happily against it. I'm just in the process 
of double checking that the resultant package actually functions correctly, 
but it's looking good.

As for the naming; I've chipped in my thoughts on fedora-devel; I'll re-do a 
package with a new name (of necessary) once there's a conclusion.
Comment 12 Ewan Mac Mahon 2007-09-09 20:50:47 EDT
I've tested the package with Gimp 2.4rc2 on rawhide/F8test and it builds and 
functions correctly. Since we seem to be shelving the the rename until/unless 
it becomes necessary I think that the second version of the package will do as 
the final version, so unless anyone's got any objection it just remains to get 
sponsored and get it into the CVS. 

Should I submit a Fedora account request now?
Comment 13 Nils Philippsen 2007-09-10 02:47:32 EDT
(In reply to comment #12)
> I've tested the package with Gimp 2.4rc2 on rawhide/F8test and it builds and 
> functions correctly. Since we seem to be shelving the the rename until/unless 
> it becomes necessary I think that the second version of the package will do as 
> the final version, so unless anyone's got any objection it just remains to get 
> sponsored and get it into the CVS. 
> 
> Should I submit a Fedora account request now?

Seems good to me. Xavier?

Comment 14 Xavier Lamien 2007-09-10 12:21:05 EDT
Anynews abbout the naming of gimp plugin from development-list@ ?
(sorry not followed all thread on the list)
Comment 15 Nicolas Chauvet (kwizart) 2007-09-10 12:56:56 EDT
Well we probably need to use the current plugins rules for this, and the same
for gimp-gap which I'm working on (for third part repo )...

Then it would be easiers to leave the upstream name as it is...
About this review, this seems good to me also...

@Nils
Maybe ufraw-gimp need to have a vitural provides: gimp-ufraw, same for
cinepaint-ufraw ;)

@Xavier thx for taking this review, I couldn't as Ewan wasn't already sponsored..

@Ewan
do you have other review to submit ?



Comment 16 Ewan Mac Mahon 2007-09-10 19:38:06 EDT
Naming: It was a very short thread on fedora-devel, there wasn't a lot of 
interest at this point. The end result was that we'd leave the naming scheme 
as-is for now, and consider change it in future if it ever becomes necessary 
to use a classified system.

@Nicolas - Another review? If you mean a review I've done of another package 
the only one where I've really contributed much (so far) was the flpsed one 
(bug #252125); if you mean have I another package to be reviewed, then not 
yet, but I've part way through packaging gpscorrelate[1], but it needs a few 
rough edges filing off.

[1] http://freefoote.dview.net/linux_gpscorr.html
Comment 17 Nils Philippsen 2007-09-11 04:36:21 EDT
Just confirming Ewan's statement, we'll stay with "gimp-<foo>" where the package
is only an extension of GIMP. Packages that have other functionality usable
without GIMP can name their plugin subpackages "<foo>-gimp". If we at some point
see that this results in a naming chaos, we'll revisit this issue.

Xavier, my question was rather if Ewan is good to go forward with this package,
i.e. if it reviews successfully.
Comment 18 Xavier Lamien 2007-09-21 12:28:21 EDT
Ok,
It's good to me to (aggred with Nicolas).

This package can be approved.

About sponsorship:

Ewan, request fedorabugs groups on your FAS to be able to review package (if 
not done yet).
then,
Please follow the procedure of
http://fedoraproject.org/wiki/Extras/Contributors .

Comment 19 Mamoru TASAKA 2007-10-07 04:46:07 EDT
What is the status of this bug?
Comment 20 Ewan Mac Mahon 2007-10-09 11:25:57 EDT
The current state of play is that my Fedora account needs approval/sponsorship 
for the cvsextras and fedorabugs groups; once that's done I should be able to 
finish up here. I believe I've done the necessary things at my end.
Comment 21 Mamoru TASAKA 2007-10-09 11:42:13 EDT
(In reply to comment #20)
> The current state of play is that my Fedora account needs approval/sponsorship 
> for the cvsextras and fedorabugs groups; once that's done I should be able to 
> finish up here. I believe I've done the necessary things at my end.

Oh, I found your FAS in cvsextras request and indeed you've
requested it on Oct 1st!

Well, then to make this review proceed I will sponsor you. Please proceed.
Comment 22 Ewan Mac Mahon 2007-10-14 14:55:38 EDT
New Package CVS Request
=======================
Package Name: gimp-resynthesizer
Short Description: Gimp plugin for texture synthesis
Owners: ewan
Branches: F-7
InitialCC: 
Comment 23 Kevin Fenzi 2007-10-14 15:33:19 EDT
cvs done.
Comment 24 Ewan Mac Mahon 2007-10-16 06:20:59 EDT
Thanks everyone, it's built and in the repository now.

Note You need to log in before you can comment on or make changes to this bug.